/**
Dynamically allocated multidimensional arrays
**/

#include <iostream>
using std::cout;
using std::cin;
using std::endl;

int main()
{
    // user can define size
    int numRows;
    int numCols;

    cout << "How large of a matrix? enter: row col " ;
    cin >> numRows;
    cin >> numCols;

    // Allocate memory for rows (left bar next slide)
    double **a  = new double *[numRows];

    // Allocate memory for columns
    for(int i = 0; i < numRows; i++)
    {
        a[i] = new double[numCols];
    }

    // array[row][col]
    a[1][2] = 32;
    a[3][4] = 55;

    // deallocate
    for(int i = 0; i < numRows; i++)
    {
        delete[] a[i];
    }

    delete[] a;

    a = nullptr;

    return 0;
}
