/**
Dynamic user-created types
**/

#include <iostream>
using namespace std;

class Box
{
    private:
        int w, h, d;

    public:
        void setDim(int x, int y, int z)
        {
            w = x;
            h = y;
            d = z;
        }

        // Seeing stars yet?
        int volume()
        {
            return w * h * d;
        }
};

int main()
{
    Box *myBox = new Box;
    myBox->setDim(4, 5, 2);
    cout << myBox->volume(); // 40
    delete myBox;

    Box *myBoxArray = new Box[4];
    myBoxArray[2].setDim(4, 1, 2);
    delete[] myBoxArray; // Delete array

    return 0;
}
